21Shares Bitcoin ETP (CHF)

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/21shares-bitcoin-etp-chf/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/21shares-bitcoin-etp-chf/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1771891200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/american-bitcoin-reports-fourth-quarter-and-full-year-2025-results-302697789.html",
    "holding_balance": 6235.0,
    "holding_net_change": 392.0,
    "transaction_value_usd": 25122511.68,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1778112000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/EricTrump/status/2052158092171715017?s=20",
    "holding_balance": 7300.0,
    "holding_net_change": 1065.0,
    "transaction_value_usd": 85196059.5,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1779062400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/ABTC/status/2056340270955037156?s=20",
    "holding_balance": 7500.0,
    "holding_net_change": 200.0,
    "transaction_value_usd": 15388854.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/21shares-bitcoin-etp-chf/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    7500.0
  ],
  [
    1782950400000,
    7500.0
  ],
  [
    1783036800000,
    7500.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/21shares-bitcoin-etp-chf/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    449734125.0
  ],
  [
    1782950400000,
    461158725.0
  ],
  [
    1783036800000,
    468944925.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/21shares-bitcoin-etp-chf/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 14.65,
    "date": "2026-07-01",
    "high": 14.65,
    "open": 14.65,
    "close": 14.65,
    "volume": 9
  },
  {
    "low": 15.262,
    "date": "2026-07-02",
    "high": 15.262,
    "open": 15.262,
    "close": 15.262,
    "volume": 30
  },
  {
    "low": 16.322,
    "date": "2026-07-03",
    "high": 16.43,
    "open": 16.322,
    "close": 16.43,
    "volume": 322
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/21shares-bitcoin-etp-chf/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/21shares-bitcoin-etp-chf/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 4.36,
  "six_month_return": -28.25,
  "three_month_return": -2.86
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/21shares-bitcoin-etp-chf/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.036,
  "share_price_change_state": "down"
}